Skip to main content

Search

This endpoint is used to search for activity data based on the activity_id in the Satuplatform system.
The endpoint requires authentication using the Basic Authentication scheme and data must be sent in JSON format.

The Authorization value should follow the format Basic <base64(apiKey:apiSecret)>, where apiKey and apiSecret are obtained after making a GET API Token request.


Environment

Use the appropriate environment based on your needs:

EnvironmentDescription
productionFor live applications (real data)
sandboxFor testing and development purposes

Replace <environment> in the URL with:

  • api for production
  • api-sandbox for sandbox

URL

  • Production:
    https://api.satuplatform.com/api/v1/search

  • Sandbox:
    https://api-sandbox.satuplatform.com/api/v1/search


Headers

HeaderValue
Content-Typeapplication/json
AuthorizationBasic <base64(apiKey:apiSecret)>

Parameters

ParametersTypeRequiredDescription
activity_idStringYesThe activity_id (e.g., bensin).

Example Request Body

{
"activity_id": "bensin"
}

Example Response Body

{
"success": true,
"data": {
"units": ["TJ", "kg"],
"activity": [
{
"activity_id": "fuels_petroleum-fuels_bensin-ron-90",
"UOM": "TJ",
"source": "ESDM (2023)",
"Scope": "Scope 1",
"SourceorActivityType": "Stationary Combustion",
"Level1": "Fuels",
"Level2": "Petroleum Fuels",
"Level3": "Bensin RON 90",
"GHG/Unit": "ton CO2e of CO2 per unit",
"GHGConversionFactor2023": 69.29,
"EmissionFactors(tonnes)": 69.29
},
{
"activity_id": "fuels_petroleum-fuels_bensin-ron-98",
"UOM": "TJ",
"source": "ESDM (2023)",
"Scope": "Scope 1",
"SourceorActivityType": "Stationary Combustion",
"Level1": "Fuels",
"Level2": "Petroleum Fuels",
"Level3": "Bensin RON 98",
"GHG/Unit": "ton CO2e of CO2 per unit",
"GHGConversionFactor2023": 68.91,
"EmissionFactors(tonnes)": 68.91
},
{
"activity_id": "fuels_petroleum-fuels_bensin-ron-88",
"UOM": "kg",
"source": "ESDM (2023)",
"Scope": "Scope 1",
"SourceorActivityType": "Stationary Combustion",
"Level1": "Fuels",
"Level2": "Petroleum Fuels",
"Level3": "Bensin RON 88",
"GHG/Unit": "ton CO2e of CO2 per unit",
"GHGConversionFactor2023": 69.67,
"EmissionFactors(tonnes)": 0.0031079787
},
{
"activity_id": "fuels_petroleum-fuels_bensin-ron-92",
"UOM": "TJ",
"source": "ESDM (2023)",
"Scope": "Scope 1",
"SourceorActivityType": "Stationary Combustion",
"Level1": "Fuels",
"Level2": "Petroleum Fuels",
"Level3": "Bensin RON 92",
"GHG/Unit": "ton CO2e of CO2 per unit",
"GHGConversionFactor2023": 69.04,
"EmissionFactors(tonnes)": 69.04
},
{
"activity_id": "fuel-used_petroleum-fuels_bensin-ron-88",
"UOM": "TJ",
"source": "ESDM (2023)",
"Scope": "Scope 1",
"SourceorActivityType": "Mobile Combustion",
"Level1": "Fuel Used",
"Level2": "Petroleum Fuels",
"Level3": "Bensin RON 88",
"GHG/Unit": "ton CO2e of CO2 per unit",
"GHGConversionFactor2023": 69.67,
"EmissionFactors(tonnes)": 69.67
}
]
}
}

Status Code

Status CodeDescription
200OK